Subject: [PANRG] Choice and Tussles

From: Roland Bless <[email-masked]>
Date: Thu, 20 Jul 2017 16:21:50 +0200

Hi,

I want to second what Aaron said at the mic:
IMHO a good approach is that the network provides more information
so that the applications/end-systems can make better choices.
So giving more/better choices to the users is probably one
worthwhile goal.
Let's assume the network provides more information about
networks paths and their properties that can be utilized
by a multi-path transport protocol. Users' choice and
providers' choices/policies may get into conflict.
For instance, I think that the Shim6 experience showed that
one can expect tussles in certain areas. The providers felt
that they loose control over their traffic flows and thus
their traffic engineering (just my perception, maybe not
quite correct). So paying attention to potential
tussles and designing the interfaces along the conflicts could be
useful or even necessary, but it may not be easy...

Regards,
 Roland

---

From: "Scharf, Michael (Nokia - DE/Stuttgart)" <[email-masked]>
Date: Thu, 20 Jul 2017 14:27:12 +0000

See RFC 7971 Section 7 for some discussion of related issues - not all may be protocol-specific. The rest of this RFC could be of interest, too.
 
Michael

> -----Original Message-----
> From: Panrg [mailto:[email-masked]] On Behalf Of Roland Bless
> Sent: Thursday, July 20, 2017 4:22 PM
> To: [email-masked]
> Subject: [PANRG] Choice and Tussles
> 
> Hi,
> 
> IMHO a good approach is that the network provides more information so
> that the applications/end-systems can make better choices.
> So giving more/better choices to the users is probably one worthwhile goal.
> Let's assume the network provides more information about networks paths
> and their properties that can be utilized by a multi-path transport protocol.
> Users' choice and providers' choices/policies may get into conflict.
> For instance, I think that the Shim6 experience showed that one can expect
> tussles in certain areas. The providers felt that they loose control over their
> traffic flows and thus their traffic engineering (just my perception, maybe
> not quite correct). So paying attention to potential tussles and designing the
> interfaces along the conflicts could be useful or even necessary, but it may
> not be easy...
> 
> Regards,
>  Roland
> 
> _______________________________________________
> Panrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/panrg